Ruby: ext/openssl/ossl_ns_spki.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions | Variables
ossl_ns_spki.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Macros
#define | NewSPKI(klass) TypedData_Wrap_Struct((klass), &ossl_netscape_spki_type, 0)
#define | SetSPKI(obj, spki)
#define | GetSPKI(obj, spki)

## Functions
void | Init_ossl_ns_spki (void)

## Variables
VALUE | mNetscape
VALUE | cSPKI
VALUE | eSPKIError

## Macro Definition Documentation

## ◆ GetSPKI

#define GetSPKI | ( |  | obj,
|  |  | spki
| ) |  |

Value:
do { \
TypedData_Get_Struct((obj), NETSCAPE_SPKI, &ossl_netscape_spki_type, (spki)); \
if (!(spki)) { \
ossl_raise(rb_eRuntimeError, "SPKI wasn't initialized!"); \
} \
} while (0)
rb_eRuntimeError
VALUE rb_eRuntimeError
Definition: error.c:1055

Definition at line 20 of file ossl_ns_spki.c.

## ◆ NewSPKI

#define NewSPKI | ( |  | klass | ) | TypedData_Wrap_Struct((klass), &ossl_netscape_spki_type, 0)

Definition at line 12 of file ossl_ns_spki.c.

## ◆ SetSPKI

#define SetSPKI | ( |  | obj,
|  |  | spki
| ) |  |

Value:
do { \
if (!(spki)) { \
ossl_raise(rb_eRuntimeError, "SPKI wasn't initialized!"); \
} \
RTYPEDDATA_DATA(obj) = (spki); \
} while (0)

Definition at line 14 of file ossl_ns_spki.c.

## Function Documentation

## ◆ Init_ossl_ns_spki()

void Init_ossl_ns_spki | ( | void |  | ) |

Definition at line 379 of file ossl_ns_spki.c.

References cSPKI, eOSSLError, eSPKIError, mNetscape, mOSSL, rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), and rb_eStandardError.

Referenced by Init_openssl().

## Variable Documentation

## ◆ cSPKI

VALUE cSPKI

Definition at line 31 of file ossl_ns_spki.c.

Referenced by Init_ossl_ns_spki().

## ◆ eSPKIError

VALUE eSPKIError

Definition at line 32 of file ossl_ns_spki.c.

Referenced by Init_ossl_ns_spki().

## ◆ mNetscape

VALUE mNetscape

Definition at line 30 of file ossl_ns_spki.c.

Referenced by Init_ossl_ns_spki().